Skip to content

List Container Registries

GET
/api/v1/container_registry/projects-details/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/projects-details/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

List of projects retrieved successfully.

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
project_size
integer
nullable
domain_name
string
prevent_vul
boolean
created_at
string format: date-time
updated_at
string format: date-time
deleted
boolean
project_name
string
project_id
integer
is_public
boolean
severity
string
deleted_at
string format: date-time
nullable
storage_limit
integer
location
string
state
string
customer
integer
my_account_project
integer
errors
object
key
additional properties
string
message
string

Example

{
"code": 200,
"data": [
{
"id": 727,
"project_size": 0,
"domain_name": "registry.e2enetworks.net",
"prevent_vul": false,
"created_at": "2025-04-09T06:20:05.542940Z",
"updated_at": "2025-04-09T06:20:06.272937Z",
"deleted": false,
"project_name": "cr-19490",
"project_id": 1164,
"is_public": false,
"severity": "critical",
"deleted_at": null,
"storage_limit": -1,
"location": "Delhi",
"state": "CREATED",
"customer": 12345,
"my_account_project": 67890
}
],
"errors": {},
"message": "Success"
}